diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/extended-capabilities.h ns-3.44/src/wifi/model/extended-capabilities.h
--- ns-3.43/src/wifi/model/extended-capabilities.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/extended-capabilities.h	2025-03-09 16:55:49.787372600 -0700
@@ -15,187 +15,78 @@
 {
 
 /**
- * \brief The Extended Capabilities Information Element
- * \ingroup wifi
+ * @brief The Extended Capabilities Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise the Extended Capabilities Information Element
  */
 class ExtendedCapabilities : public WifiInformationElement
 {
   public:
-    ExtendedCapabilities();
-
-    // Implementations of pure virtual methods of WifiInformationElement
     WifiInformationElementId ElementId() const override;
     uint16_t GetInformationFieldSize() const override;
     void SerializeInformationField(Buffer::Iterator start) const override;
     uint16_t DeserializeInformationField(Buffer::Iterator start, uint16_t length) override;
     void Print(std::ostream& os) const override;
 
-    /**
-     * Set the first byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the first byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte1(uint8_t ctrl);
-    /**
-     * Set the second byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the second byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte2(uint8_t ctrl);
-    /**
-     * Set the third byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the third byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte3(uint8_t ctrl);
-    /**
-     * Set the fourth byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the fourth byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte4(uint8_t ctrl);
-    /**
-     * Set the fifth byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the fifth byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte5(uint8_t ctrl);
-    /**
-     * Set the sixth byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the sixth byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte6(uint8_t ctrl);
-    /**
-     * Set the seventh byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the seventh byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte7(uint8_t ctrl);
-    /**
-     * Set the eighth byte in the Extended Capabilities information element.
-     *
-     * \param ctrl the eighth byte in the Extended Capabilities information element
-     */
-    void SetExtendedCapabilitiesByte8(uint8_t ctrl);
-
-    /**
-     * Return the first byte in the Extended Capabilities information element.
-     *
-     * \return the first byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte1() const;
-    /**
-     * Return the second byte in the Extended Capabilities information element.
-     *
-     * \return the second byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte2() const;
-    /**
-     * Return the third byte in the Extended Capabilities information element.
-     *
-     * \return the third byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte3() const;
-    /**
-     * Return the fourth byte in the Extended Capabilities information element.
-     *
-     * \return the fourth byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte4() const;
-    /**
-     * Return the fifth byte in the Extended Capabilities information element.
-     *
-     * \return the fifth byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte5() const;
-    /**
-     * Return the sixth byte in the Extended Capabilities information element.
-     *
-     * \return the sixth byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte6() const;
-    /**
-     * Return the seventh byte in the Extended Capabilities information element.
-     *
-     * \return the seventh byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte7() const;
-    /**
-     * Return the eighth byte in the Extended Capabilities information element.
-     *
-     * \return the eighth byte in the Extended Capabilities information element
-     */
-    uint8_t GetExtendedCapabilitiesByte8() const;
-
-  private:
-    // fields if HT supported
-    uint8_t m_20_40_bssCoexistenceManagementSupport; ///< 20/40 BSS Coexistence Management Support
-    uint8_t m_extendedChannelSwitching;              ///< Extended Channel Switching
-    uint8_t m_psmpCapability;                        ///< PSMP Capability
-    uint8_t m_spsmpSupport;                          ///< S-PSMP Support
-
-    uint8_t m_event;                           ///< Event
-    uint8_t m_diagnostics;                     ///< Diagnostics
-    uint8_t m_multicastDiagnostics;            ///< Multicast Diagnostics
-    uint8_t m_locationTracking;                ///< Location Tracking
-    uint8_t m_fms;                             ///< FMS
-    uint8_t m_proxyArpService;                 ///< Proxy ARP Service
-    uint8_t m_collocatedInterferenceReporting; ///< Collocated Interference Reporting
-    uint8_t m_civicLocation;                   ///< Civic Location
-    uint8_t m_geospatialLocation;              ///< Geospatial Location
-
-    uint8_t m_tfs;                  ///< TFS
-    uint8_t m_wnmSleepMode;         ///< WNM Sleep Mode
-    uint8_t m_timBroadcast;         ///< TIM Broadcast
-    uint8_t m_bssTransition;        ///< BSS Transition
-    uint8_t m_qosTrafficCapability; ///< QoS Traffic Capability
-    uint8_t m_acStationCount;       ///< AC Station Count
-    uint8_t m_multipleBssid;        ///< Multiple BSSID
-    uint8_t m_timingMeasurement;    ///< Timing Measurement
-
-    uint8_t m_channelUsage;         ///< Channel Usage
-    uint8_t m_ssidList;             ///< SSID List
-    uint8_t m_dms;                  ///< DMS
-    uint8_t m_utcTsfOffset;         ///< UTC TSF Offset
-    uint8_t m_tpuBufferStaSupport;  ///< TPU Buffer STA Support
-    uint8_t m_tdlsPeerPsmSupport;   ///< TDLS Peer PSM Support
-    uint8_t m_tdlsChannelSwitching; ///< TDLS Channel Switching
-    uint8_t m_interworking;         ///< Interworking
-
-    uint8_t m_qosMap;                         ///< QoS Map
-    uint8_t m_ebr;                            ///< EBR
-    uint8_t m_sspnInterface;                  ///< SSPN Interface
-    uint8_t m_msgcfCapability;                ///< MSGCF Capability
-    uint8_t m_tdlsSupport;                    ///< TDLS Support
-    uint8_t m_tdlsProhibited;                 ///< TDLS Prohibited
-    uint8_t m_tdlsChannelSwitchingProhibited; ///< TDLS Channel Switching Prohibited
-
-    uint8_t m_rejectUnadmittedFrame;      ///< Reject Unadmitted Frame
-    uint8_t m_serviceIntervalGranularity; ///< Service Interval Granularity
-    uint8_t m_identifierLocation;         ///< Identifier Location
-    uint8_t m_uapsdCoexistence;           ///< U-APSD Coexistence
-    uint8_t m_wnmNotification;            ///< WNM Notification
-    uint8_t m_qabCapability;              ///< QAB Capability
-
-    uint8_t m_utf8Ssid;                    ///< UTF-8 SSID
-    uint8_t m_qmfActivated;                ///< QMFActivated
-    uint8_t m_qmfReconfigurationActivated; ///< QMFReconfigurationActivated
-    uint8_t m_robustAvStreaming;           ///< Robust AV Streaming
-    uint8_t m_advancedGcr;                 ///< Advanced GCR
-    uint8_t m_meshGcr;                     ///< Mesh GCR
-    uint8_t m_scs;                         ///< SCS
-    uint8_t m_qloadReport;                 ///< QLoad Report
-
-    uint8_t m_alternateEdca;              ///< Alternate EDCA
-    uint8_t m_unprotectedTxopNegotiation; ///< Unprotected TXOP Negotiation
-    uint8_t m_protectedTxopNegotiation;   ///< Protected TXOP Negotiation
-    uint8_t m_protectedQloadReport;       ///< Protected QLoad Report
-    uint8_t m_tdlsWiderBandwidth;         ///< TDLS Wider Bandwidth
-    uint8_t m_operatingModeNotification;  ///< Operating Mode Notification
-    uint8_t m_maxNumberOfMsdusInAmsdu;    ///< Max Number Of MSDUs In A-MSDU
+    uint8_t m_20_40_bssCoexistenceManagementSupport : 1 {
+        0};                                            ///< 20/40 BSS Coexistence Management Support
+    uint8_t m_extendedChannelSwitching : 1 {0};        ///< Extended Channel Switching
+    uint8_t m_psmpCapability : 1 {0};                  ///< PSMP Capability
+    uint8_t m_spsmpSupport : 1 {0};                    ///< S-PSMP Support
+    uint8_t m_event : 1 {0};                           ///< Event
+    uint8_t m_diagnostics : 1 {0};                     ///< Diagnostics
+    uint8_t m_multicastDiagnostics : 1 {0};            ///< Multicast Diagnostics
+    uint8_t m_locationTracking : 1 {0};                ///< Location Tracking
+    uint8_t m_fms : 1 {0};                             ///< FMS
+    uint8_t m_proxyArpService : 1 {0};                 ///< Proxy ARP Service
+    uint8_t m_collocatedInterferenceReporting : 1 {0}; ///< Collocated Interference Reporting
+    uint8_t m_civicLocation : 1 {0};                   ///< Civic Location
+    uint8_t m_geospatialLocation : 1 {0};              ///< Geospatial Location
+    uint8_t m_tfs : 1 {0};                             ///< TFS
+    uint8_t m_wnmSleepMode : 1 {0};                    ///< WNM Sleep Mode
+    uint8_t m_timBroadcast : 1 {0};                    ///< TIM Broadcast
+    uint8_t m_bssTransition : 1 {0};                   ///< BSS Transition
+    uint8_t m_qosTrafficCapability : 1 {0};            ///< QoS Traffic Capability
+    uint8_t m_acStationCount : 1 {0};                  ///< AC Station Count
+    uint8_t m_multipleBssid : 1 {0};                   ///< Multiple BSSID
+    uint8_t m_timingMeasurement : 1 {0};               ///< Timing Measurement
+    uint8_t m_channelUsage : 1 {0};                    ///< Channel Usage
+    uint8_t m_ssidList : 1 {0};                        ///< SSID List
+    uint8_t m_dms : 1 {0};                             ///< DMS
+    uint8_t m_utcTsfOffset : 1 {0};                    ///< UTC TSF Offset
+    uint8_t m_tpuBufferStaSupport : 1 {0};             ///< TPU Buffer STA Support
+    uint8_t m_tdlsPeerPsmSupport : 1 {0};              ///< TDLS Peer PSM Support
+    uint8_t m_tdlsChannelSwitching : 1 {0};            ///< TDLS Channel Switching
+    uint8_t m_interworking : 1 {0};                    ///< Interworking
+    uint8_t m_qosMap : 1 {0};                          ///< QoS Map
+    uint8_t m_ebr : 1 {0};                             ///< EBR
+    uint8_t m_sspnInterface : 1 {0};                   ///< SSPN Interface
+    uint8_t m_msgcfCapability : 1 {0};                 ///< MSGCF Capability
+    uint8_t m_tdlsSupport : 1 {0};                     ///< TDLS Support
+    uint8_t m_tdlsProhibited : 1 {0};                  ///< TDLS Prohibited
+    uint8_t m_tdlsChannelSwitchingProhibited : 1 {0};  ///< TDLS Channel Switching Prohibited
+    uint8_t m_rejectUnadmittedFrame : 1 {0};           ///< Reject Unadmitted Frame
+    uint8_t m_serviceIntervalGranularity : 3 {0};      ///< Service Interval Granularity
+    uint8_t m_identifierLocation : 1 {0};              ///< Identifier Location
+    uint8_t m_uapsdCoexistence : 1 {0};                ///< U-APSD Coexistence
+    uint8_t m_wnmNotification : 1 {0};                 ///< WNM Notification
+    uint8_t m_qabCapability : 1 {0};                   ///< QAB Capability
+    uint8_t m_utf8Ssid : 1 {0};                        ///< UTF-8 SSID
+    uint8_t m_qmfActivated : 1 {0};                    ///< QMFActivated
+    uint8_t m_qmfReconfigurationActivated : 1 {0};     ///< QMFReconfigurationActivated
+    uint8_t m_robustAvStreaming : 1 {0};               ///< Robust AV Streaming
+    uint8_t m_advancedGcr : 1 {0};                     ///< Advanced GCR
+    uint8_t m_meshGcr : 1 {0};                         ///< Mesh GCR
+    uint8_t m_scs : 1 {0};                             ///< SCS
+    uint8_t m_qloadReport : 1 {0};                     ///< QLoad Report
+    uint8_t m_alternateEdca : 1 {0};                   ///< Alternate EDCA
+    uint8_t m_unprotectedTxopNegotiation : 1 {0};      ///< Unprotected TXOP Negotiation
+    uint8_t m_protectedTxopNegotiation : 1 {0};        ///< Protected TXOP Negotiation
+    uint8_t m_protectedQloadReport : 1 {0};            ///< Protected QLoad Report
+    uint8_t m_tdlsWiderBandwidth : 1 {0};              ///< TDLS Wider Bandwidth
+    uint8_t m_operatingModeNotification : 1 {0};       ///< Operating Mode Notification
+    uint8_t m_maxNumberOfMsdusInAmsdu : 2 {0};         ///< Max Number Of MSDUs In A-MSDU
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/fcfs-wifi-queue-scheduler.h ns-3.44/src/wifi/model/fcfs-wifi-queue-scheduler.h
--- ns-3.43/src/wifi/model/fcfs-wifi-queue-scheduler.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/fcfs-wifi-queue-scheduler.h	2025-03-09 16:55:49.787372600 -0700
@@ -19,7 +19,7 @@
 class WifiMpdu;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Definition of priority for container queues.
  */
@@ -30,20 +30,20 @@
 };
 
 /**
- * \param lhs the left hand side priority
- * \param rhs the right hand side priority
- * \return whether the left hand side priority is equal to the right hand side priority
+ * @param lhs the left hand side priority
+ * @param rhs the right hand side priority
+ * @return whether the left hand side priority is equal to the right hand side priority
  */
 bool operator==(const FcfsPrio& lhs, const FcfsPrio& rhs);
 /**
- * \param lhs the left hand side priority
- * \param rhs the right hand side priority
- * \return whether the left hand side priority is less than the right hand side priority
+ * @param lhs the left hand side priority
+ * @param rhs the right hand side priority
+ * @return whether the left hand side priority is less than the right hand side priority
  */
 bool operator<(const FcfsPrio& lhs, const FcfsPrio& rhs);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * FcfsWifiQueueScheduler is a wifi queue scheduler that serves data frames in a
  * first come first serve fashion. Control frames have the highest priority.
@@ -54,8 +54,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/frame-capture-model.h ns-3.44/src/wifi/model/frame-capture-model.h
--- ns-3.43/src/wifi/model/frame-capture-model.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/frame-capture-model.h	2025-03-09 16:55:49.787372600 -0700
@@ -19,16 +19,16 @@
 class Time;
 
 /**
- * \ingroup wifi
- * \brief the interface for Wifi's frame capture models
+ * @ingroup wifi
+ * @brief the interface for Wifi's frame capture models
  *
  */
 class FrameCaptureModel : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -37,10 +37,10 @@
      * This method returns whether the reception should be switched to a
      * new incoming frame.
      *
-     * \param currentEvent the event of the current frame
-     * \param newEvent the event of the new incoming frame
+     * @param currentEvent the event of the current frame
+     * @param newEvent the event of the new incoming frame
      *
-     * \return true if the reception should be switched to a new incoming frame,
+     * @return true if the reception should be switched to a new incoming frame,
      *         false otherwise
      */
     virtual bool CaptureNewFrame(Ptr<Event> currentEvent, Ptr<Event> newEvent) const = 0;
@@ -49,9 +49,9 @@
      * This method returns true if the capture window duration has not elapsed yet,
      *                     false otherwise.
      *
-     * \param timePreambleDetected the time the preamble was detected
+     * @param timePreambleDetected the time the preamble was detected
      *
-     * \return true if the capture window duration has not elapsed yet,
+     * @return true if the capture window duration has not elapsed yet,
      *         false otherwise
      */
     virtual bool IsInCaptureWindow(Time timePreambleDetected) const;
